/**
 * Copyright (C) 2010 Cloudfarming <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.twitter;

import java.util.concurrent.ExecutionException;
import java.util.concurrent.Executors;
import java.util.concurrent.ScheduledExecutorService;
import java.util.concurrent.ScheduledFuture;
import java.util.concurrent.TimeUnit;
import org.openide.util.Exceptions;

/**
 *
 * @author Timon Veenstra
 */
public class TweetRetrieverScheduler implements Runnable {

    @Override
    public void run() {
        ScheduledExecutorService service = Executors.newScheduledThreadPool(1);
        ScheduledFuture future = service.schedule(new TweetRetriever(), 10, TimeUnit.SECONDS);
        try {
            while (true) {
                future.get();
                future = service.schedule(new TweetRetriever(), 10, TimeUnit.MINUTES);
            }
        } catch (InterruptedException ex) {
            Exceptions.printStackTrace(ex);
        } catch (ExecutionException ex) {
            Exceptions.printStackTrace(ex);
        }

    }
}
